Bug 1316443 - Gnome lock screen frozen after suspend
Gnome lock screen frozen after suspend
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
23
x86_64 Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-10 04:32 EST by Tom Bentley
Modified: 2016-03-18 05:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-18 05:16:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Bentley 2016-03-10 04:32:41 EST
Description of problem:

Sometimes (but not always) after the computer has suspended due to inactivity the lock screen is completely unresponsive. This happens even if the screenlock itself is off (and you'd usually just slide the lock screen up, or start typing).


Version-Release number of selected component (if applicable):


How reproducible:

It's intermittent, happening maybe 50% of the time.


Steps to Reproduce:
1. Resume from suspend.
2. Try to slide the lock screen up.


Actual results:

Nothing happens.

Expected results:

Password prompt (if screen lock enabled) or access to desktop if not.

Additional info:

I've also noticed some screen corruption (looking a lot like an untuned analog TV), sometimes when resuming, so maybe it's hardware related? I have AMD CAICOS (DRM 2.43.0, LLVM 3.7.0) and two monitors.
Comment 1 Tom Bentley 2016-03-14 08:53:07 EDT
journalctl shows a kernel error logged:

kernel: [drm:btc_dpm_set_power_state [radeon]] *ERROR* rv770_restrict_performance_levels_before_switch failed

but then that message is also logged during boot after which I could log in just fine, so maybe that's coincidental.
Comment 2 Tom Bentley 2016-03-18 05:16:03 EDT
Not seen this after upgrading closing.

Note You need to log in before you can comment on or make changes to this bug.